package org.yacos.web.author.controller;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.SimpleFormController;
import org.yacos.core.article.Article;
import org.yacos.core.article.IArticleManager;

public class DetailArticleController extends SimpleFormController {

    protected final Log logger = LogFactory.getLog(getClass());
    private IArticleManager articleManager;

    public ModelAndView handleRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        logger.info("Returning main view");
        String id=request.getParameter("id");
        System.out.println("article's id is "+id);
        Integer idd=new Integer(Integer.parseInt(id));
        Article article=articleManager.getArticle(idd);
        //FIXME
        return new ModelAndView("detailArticle","article",article);
    }

	public IArticleManager getArticleManager() {
		return articleManager;
	}

	public void setArticleManager(IArticleManager articleManager) {
		this.articleManager = articleManager;
	}


}